Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class NonPoolingRequestPageCacheImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.NonPoolingRequestPageCacheImpl

All Implemented Interfaces:
  java.util.EventListener, RequestPageCache, ThreadCleanupListener

    @Scope(value="perthread")
    public class NonPoolingRequestPageCacheImpl

extends java.lang.Object
implements RequestPageCache, ThreadCleanupListener

In Tapestry 5.1, the implementation of this worked with the page pool (a pool of page instances, reserved to individual requests/threads). Page pooling was deprecated in 5.2 and removed in 5.3.

Since:
  5.2

Constructor Summary
`NonPoolingRequestPageCacheImpl(org.slf4j.Logger logger, ComponentClassResolver resolver, PageSource pageSource)`

Method Summary
`Page` | `get(java.lang.String pageName)` Gets the page via its page name, in the current locale.
`void` | `listenForThreadCleanup(PerthreadManager perthreadManager)`
`void` | `threadDidCleanup()` Invoked by `PerthreadManager` service when a thread performs and end-of-request cleanup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonPoolingRequestPageCacheImpl

    public NonPoolingRequestPageCacheImpl(org.slf4j.Logger logger,
                                          ComponentClassResolver resolver,
                                          PageSource pageSource)

Method Detail

### listenForThreadCleanup

    @PostInjection
    public void listenForThreadCleanup(PerthreadManager perthreadManager)

### threadDidCleanup

    public void threadDidCleanup()

  Description copied from interface: `ThreadCleanupListener`
  Invoked by `PerthreadManager` service when a thread performs and end-of-request cleanup.

  Specified by:
    `threadDidCleanup` in interface `ThreadCleanupListener`

### get

    public Page get(java.lang.String pageName)

  Description copied from interface: `RequestPageCache`
  Gets the page via its page name, in the current locale. The logical page name is resolved to a class name, which is used to obtain the page (from the page pool). Note that under certain circumstances, a page may have multiple names (even beyond simple case-insensitivity), and RequestPageCache caches correctly.

  Specified by:
    `get` in interface `RequestPageCache`
  Parameters:
    `pageName` - the name of the page to retrieve (this is the logical page name, not the fully qualified class name)
  Returns:
    a page instance reserved for this request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.